%define module	dib-utils

Name:		python-%{module}
Version:	0.0.11
Release:	%mkrel 6
Summary:	Pieces of diskimage-builder that are useful standalone
License:	ASL 2.0
Group:		Development/Python
URL:		https://git.openstack.org/cgit/openstack/dib-utils
Source0:	http://tarballs.openstack.org/dib-utils/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
Pieces of diskimage-builder that are useful standalone.
This allows them to be used without pulling in all of
diskimage-builder and its dependencies.

%package -n	python3-%{module}
Summary:	Pieces of diskimage-builder that are useful standalone
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(d2to1)
BuildRequires:	python3dist(pbr)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Pieces of diskimage-builder that are useful standalone.
This allows them to be used without pulling in all of
diskimage-builder and its dependencies.

This is the Python 3 build of %{module}.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf dib_utils.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc AUTHORS ChangeLog README.md
%{_bindir}/dib-run-parts
%{python3_sitelib}/dib_utils*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.0.11-6.mga8
+ Revision: 1534281
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.0.11-5.mga8
+ Revision: 1441326
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 0.0.11-4.mga7
+ Revision: 1352453
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.0.11-3.mga7
+ Revision: 1288674
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.0.11-2.mga7
+ Revision: 1135368
- Rebuild for python 3.6

* Tue Jan 03 2017 daviddavid <daviddavid> 0.0.11-1.mga6
+ Revision: 1079837
- new version: 0.0.11

* Sat Aug 20 2016 daviddavid <daviddavid> 0.0.10-1.mga6
+ Revision: 1047144
- new version: 0.0.10
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Nov 12 2015 daviddavid <daviddavid> 0.0.9-1.mga6
+ Revision: 902790
- imported package python-dib-utils

